Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.dii
Class Context

    java.lang.Object
      |
      +--org.omg.CORBA.Context
            |
            +--org.openorb.CORBA.dii.Context

public class Context
extends Context

This class implements the OMG Class : Context.

Version:
  $Revision: 1.7 $ $Date: 2002/07/16 21:26:16 $
Author:
  Jerome Daniel

Constructor Summary
`Context(java.lang.String name, Context parent, ORB orb)` Constructor

Method Summary
`java.lang.String` | `context_name()` Return context name
`Context` | `create_child(java.lang.String child_ctx_name)` Create a new child context
`void` | `delete_values(java.lang.String propname)` Delete context values
`NVList` | `get_values(java.lang.String start_scope, int op_flags, java.lang.String pattern)` Return a set of context values.
`Context` | `parent()` Return parent context
`void` | `set_one_value(java.lang.String propname, Any propvalue)` Set a context value
`void` | `set_values(NVList values)` Set a context values set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Context

    public Context(java.lang.String name,
                   Context parent,
                   ORB orb)

  Constructor

Method Detail

### context_name

    public java.lang.String context_name()

  Return context name
  Overrides:
    `context_name` in class `Context`

### parent

    public Context parent()

  Return parent context
  Overrides:
    `parent` in class `Context`

### create_child

    public Context create_child(java.lang.String child_ctx_name)

  Create a new child context
  Overrides:
    `create_child` in class `Context`

### set_one_value

    public void set_one_value(java.lang.String propname,
                              Any propvalue)

  Set a context value
  Overrides:
    `set_one_value` in class `Context`

### set_values

    public void set_values(NVList values)

  Set a context values set
  Overrides:
    `set_values` in class `Context`

### delete_values

    public void delete_values(java.lang.String propname)

  Delete context values
  Overrides:
    `delete_values` in class `Context`

### get_values

    public NVList get_values(java.lang.String start_scope,
                             int op_flags,
                             java.lang.String pattern)

  Return a set of context values.
  Overrides:
    `get_values` in class `Context`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD